package org.acme.keyword;

import javax.ejb.*;
import java.rmi.RemoteException;


public class KeywordBean implements EntityBean
{
    public int id;
    public String name;
    public String info;
    public EntityContext context;

    //////////
    //////////

    public void setEntityContext( EntityContext context )
        throws EJBException, RemoteException
    {
        this.context = context;
    }

    public void unsetEntityContext()
        throws EJBException, RemoteException
    { }

    public void ejbActivate()
        throws EJBException, RemoteException
    { }

    public void ejbPassivate()
        throws EJBException, RemoteException
    { }

    public void ejbLoad()
        throws EJBException, RemoteException
    { }

    public void ejbStore()
        throws EJBException, RemoteException
    { }

    public void ejbRemove()
        throws RemoveException, EJBException, RemoteException
    { }

    //////////
    //////////

    public Integer ejbCreate( String name, String info )
        throws CreateException
    {
        this.name = name;
        this.info = info;
        return null;
    }

    public void ejbPostCreate( String name, String info )
        throws CreateException
    { }

    public Integer ejbCreate( String name )
        throws CreateException
    {
        this.name = name;
        this.info = null;
        return null;
    }

    public void ejbPostCreate( String name )
        throws CreateException
    { }

    //////////
    //////////

    public String name()
    {
        return this.name;
    }

    public String info()
    {
        return this.info;
    }
}

/*
 * $Id: KeywordBean.java,v 1.1 2004/03/02 19:33:12 dwight Exp $
 * Copyright 2004, Dwight Shih
 */
